#ifndef POST_H
#define POST_H

#include <Wt/Dbo/Dbo.h>
#include <Wt/Dbo/ptr.h>

class User;
class Post;
namespace Wt {
    namespace Dbo {
        template<>
        struct dbo_traits<Post> : public dbo_default_traits {

            static const char *surrogateIdField() { return nullptr; }
        };
    }
}

class Post
{
public:
    Post();
    int myid;
    Wt::Dbo::ptr<User> user;

    template<class Action>
    void persist(Action& a)
    {
        Wt::Dbo::id(a, myid, "myid");
        Wt::Dbo::belongsTo(a, user, "user");
    }
};

#endif // POST_H
